#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML>
<HEAD>
<TITLE>$(n=$(nvram get wan_hostname);echo ${n:-WLan Wei&szlig;ensee}) -
Freifunk.Net - $TITLE</TITLE>
<META CONTENT="text/html; charset=iso-8559-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<LINK HREF="../wse.css" REL="stylesheet" TYPE="text/css">
<LINK HREF="sven-ola*t*gmx*de" REV="made" TITLE="Sven-Ola">
EOF

unescape()
{
s=$(echo "$1"|sed -e"s/+/%20/g")
echo -n ${s%%%*}
if [ -n "$s" ] && [ "$s" != "${s#*%}" ];then
IFS=\%
set ${s#*%}
unset IFS
for i in "$@";do
echo -n -e "\\x$(echo $i|dd bs=1 count=2 2>&-)"
echo -n ${i#??}
done
fi
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(l=$(grep : /proc/net/wireless);l=${l%:*};echo ${l##* })
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>
<BODY>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" HEIGHT="100%" WIDTH="998">
<TR>
<TD VALIGN="top" WIDTH="214">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
<TR>
<TD><A HREF="../cgi-bin-index.html"><IMG ALT="WLan wse" BORDER="0" HEIGHT="128" SRC="../images/wse-logo.jpg" WIDTH="214" TITLE="WLan wse"></A></TD>
</TR>
<TR>
<TD>
<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="4" WIDTH="214">
<TR>
<TD ALIGN="right"><BIG CLASS="plugin">Verwalten</BIG></TD>
</TR>
EOF

for inc in /www/cgi-bin/[0-9][0-9]-*;do test -n "${inc##*.sh}" && cat $inc ||. $inc;done

cat<<EOF
</TABLE></TD>
</TR>
</TABLE></TD>
<TD VALIGN="top">
<TABLE BORDER="0" CELLPADDING="4" CELLSPACING="4" HEIGHT="100%" WIDTH="784">
<TR>
<TD CLASS="border" VALIGN="top">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
<TR>
<TD CLASS="farbe_1" VALIGN="top" WIDTH="550"><FONT CLASS="big"><B><A HREF="http://wlanwse.freifunk.net">wlanwse.freifunk.net</A>
</B></FONT></TD>
<TD ALIGN="center" WIDTH="54"><STRONG><A HREF="../cgi-bin-index.html">Home</A></STRONG></TD>
<TD ALIGN="center" WIDTH="54"><STRONG><A HREF="index.html">Verwalten</A></STRONG></TD>
<TD ALIGN="center" WIDTH="54">&nbsp;</TD>
<TD ALIGN="center" WIDTH="54">&nbsp;</TD>
</TR>
</TABLE></TD>
</TR>
<TR>
<TD CLASS="border" HEIGHT="100%" VALIGN="top">
EOF
